summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorkureta2019-12-04 17:38:21 +0300
committerkureta2019-12-04 17:38:21 +0300
commit1911a011461b9432e09065a073e8fbf7c5ffc58f (patch)
tree95c4c830c3f476ca6de997c2f2abc2d7ece6cb0a /PKGBUILD
parent7f76f6d611f3d8e467a19f8be150da71986e30b4 (diff)
downloadaur-blender-git.tar.gz
changed oidn dependency to openimagedenoise
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD10
1 files changed, 7 insertions, 3 deletions
diff --git a/PKGBUILD b/PKGBUILD
index ba5500d2bdb..6a0e83b60cf 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -11,7 +11,7 @@ depends=('alembic' 'libgl' 'python' 'desktop-file-utils' 'hicolor-icon-theme' 'o
'openvdb' 'opencollada' 'opensubdiv' 'openshadinglanguage' 'libtiff' 'libpng' 'python-numpy')
optdepends=('cuda: CUDA support in Cycles'
'optix: OptiX support in Cycles'
- 'oidn: Intel Open Image Denoise support in compositing')
+ 'openimagedenoise: Intel Open Image Denoise support in compositing')
makedepends=('git' 'cmake' 'boost' 'mesa' 'llvm')
provides=('blender')
conflicts=('blender')
@@ -28,7 +28,11 @@ source=('git://git.blender.org/blender.git' \
'blender-translations.git::git://git.blender.org/blender-translations.git' \
'blender-dev-tools.git::git://git.blender.org/blender-dev-tools.git' \
blender.desktop)
-md5sums=('SKIP' 'SKIP' 'SKIP' 'SKIP' 'SKIP'
+md5sums=('SKIP'
+ 'SKIP'
+ 'SKIP'
+ 'SKIP'
+ 'SKIP'
'47e5bbe93fc221066882947211ff7812')
pkgver() {
@@ -54,7 +58,7 @@ if [ "$_OPTIX_PKG" != "" ]; then
fi
# check for open image denoise
-_OIDN_PKG=`pacman -Qq oidn 2>/dev/null` || true
+_OIDN_PKG=`pacman -Qq openimagedenoise 2>/dev/null` || true
if [ "$_OIDN_PKG" != "" ]; then
_EXTRAOPTS="$_EXTRAOPTS \
-DWITH_OPENIMAGEDENOISE=ON"